/*
 *     RefactoringCommand.java  Mar 25, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor;
import org.jtool.jrbx.gui.Refactor;
import org.w3c.dom.*;
import java.util.*;

public interface RefactoringCommand {
    public void setSource(Document doc, ArrayList ids, ArrayList elems);
    public void setRefactor(Refactor refactor);

    public ArrayList getChangedXMLTexts();
    public String getRefactoringLog();

    public void execute();
}
