/*
 *     ClassRefactoring.java  Feb 25, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.classes;
import org.jtool.jrbx.refactor.*;
import org.jtool.platform.xml.wrapper.*;
import org.jtool.platform.xml.JXConstants;
import java.util.*;

public class ClassRefactoring extends Refactoring {
    private static final String packagePath = "org.jtool.jrbx.refactor.classes";
    protected JavaClass jclass;
    
    protected ClassRefactoring() {
    }

    public static RefactoringCommand create(String command) {
        return create(command, packagePath);
    }

    public static boolean isEnabled(ArrayList elems, String sort) {
        return elems.size() == 1 && sort != null && sort.equals(JXConstants.ClassElem);
    }

    protected void setUp() {
        jclass = new JavaClass(elem);
        jfile = jclass.getJavaFile();
    }

    protected void preconditions() throws RefactoringException {
    }

    protected void transform() throws RefactoringException {
    }

    protected void additionalTransformation() throws RefactoringException {
    }

    protected String getLog() {
        return "Class Refactoring: " + jclass.getName();
    }
}
