/*
 *     MethodRefactoring.java  Feb 25, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.methods;
import org.jtool.jrbx.refactor.*;
import org.jtool.platform.xml.wrapper.*;
import org.jtool.platform.xml.JXConstants;
import java.util.*;

public class MethodRefactoring extends Refactoring {
    private static final String packagePath = "org.jtool.jrbx.refactor.methods";
    protected JavaMethod jmethod;
    protected JavaClass jclass;

    protected MethodRefactoring() {
    }

    public static RefactoringCommand create(String command) {
        return create(command, packagePath);
    }

    public static boolean isEnabled(ArrayList elems, String sort) {
        return elems.size() == 1 && sort != null && sort.equals(JXConstants.MethodElem);
    }

    protected void setUp() {
        jmethod = new JavaMethod(elem);
        jclass = jmethod.getJavaClass();
        jfile = jmethod.getJavaFile();
    }

    protected void preconditions() throws RefactoringException {
    }

    protected void transform() throws RefactoringException {
    }

    protected void additionalTransformation() throws RefactoringException {
    }

    protected String getLog() {
        return "Method Refactoring: " + jmethod.getName();
    }
}
