/*
 *     MiscellaneousRefactoring.java  Feb 25, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.miscellaneous;
import org.jtool.jrbx.refactor.*;
import org.jtool.platform.xml.wrapper.*;
import org.jtool.platform.xml.JXConstants;
import java.util.*;

public class MiscellaneousRefactoring extends Refactoring {
    private static final String packagePath = "org.jtool.jrbx.refactor.miscellaneous";
    protected JavaClass jclass;
    protected JavaMethod jmethod;

    protected MiscellaneousRefactoring() {
    }

    public static RefactoringCommand create(String command) {
        return create(command, packagePath);
    }

    public static boolean isEnabled(ArrayList elems, String sort) {
        return elems.size() >= 1;
    }

    protected void setUp() {
        JavaElement jelem = new JavaElement(elem);
        jclass = jelem.getJavaClass(elem);
        jmethod = jelem.getJavaMethod(elem);
        jfile = jelem.getJavaFile(elem);
    }

    protected void preconditions() throws RefactoringException {
    }

    protected void transform() throws RefactoringException {
    }

    protected void additionalTransformation() throws RefactoringException {
    }

    protected String getLog() {
        return "Miscellaneous Refactoring:";
    }
}
